/*
 Copyright (©) 2003-2022 Teus Benschop.
 
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 3 of the License, or
 (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */


/* I. BEGIN CSS RESETS */

html, body, div, span, applet, object, iframe, h1, h2, h3, h4, h5,
h6, p, blockquote, pre, a, abbr, acronym, address, big, cite,
del, dfn, em, img, ins, kbd, q, s, samp, small, strike, strong, sub,
sup, tt, var, b, u, i, center, dl, dt, dd, fieldset, form, label,
legend, table, caption, tbody, tfoot, thead, article, aside, canvas,
details, embed, figure, figcaption, footer, header, hgroup, menu, nav,
output, ruby, section, summary, time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  background: transparent;
  vertical-align: baseline;
  font: inherit;
  font-size: 100%;
  line-height: 1.3;
}
article, aside, details, figcaption, figure, footer, header,
hgroup, menu, nav, section {
  display: block;
}
blockquote, q {
  quotes: none;
}
blockquote:before, blockquote:after, q:before, q:after {
  content: "";
  content: none;
}
table {
  border-spacing: 0;
  border-collapse: collapse;
}
hr {
  display: block;
  margin: 1em 0;
  padding: 0;
  height: 1px;
  border: 0;
  border-top: 1px solid #CCC;
}
input, select {
  vertical-align: middle;
}
ins {
  background-color: #FF9;
  color: #000;
  text-decoration: none;
}
mark {
  background-color: #FF9;
  color: #000;
  font-weight: bold;
  font-style: italic;
}
del {
  text-decoration: line-through;
}
abbr[title], dfn[title] {
  border-bottom: 1px dotted;
  cursor: help;
}

/* END OF CSS RESETS */



/* II. BEGIN OF GLOBAL STYLING */

@font-face {
  font-family: "Esteban";
  src: url(/fonts/Esteban-Regular.ttf);
}
@font-face {
  font-family: "Montserrat Light";
  src: url(/fonts/Montserrat-Light.ttf);
}
@font-face {
  font-family: "Montserrat Regular";
  src: url(/fonts/Montserrat-Regular.ttf);
}
@font-face {
  font-family: "Montserrat Semi-Bold";
  src: url(/fonts/Montserrat-SemiBold.ttf);
}
@font-face {
  font-family: "Ezra SIL";
  src: url(/fonts/SILEOT.ttf);
}
@font-face {
  font-family: "Cardo";
  src: url(/fonts/Cardo-Regular.ttf);
}

html {
  height: 100%;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

body {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  margin: 0;
  padding: 0;
  height: 100%;
  font-family: 'Esteban', serif;
}

h1, h2, h3, h4, h5, h6,
#name1, #name2, #name3,
#topbar,
#editorinnerheader,
.center,
.button {
  font-family: "Montserrat Regular", sans-serif;
}

h1, h2, h3, h4, h5, h6 {
  margin: .5em 0;
  font-weight: bold;
}

h1 {
  font-size: 2em;
}

h2 {
  font-size: 1.5em;
}

h3 {
  font-size: 1.3em;
}

h4 {
  font-size: 1.1em;
}

h5 {
  font-size: .9em;
}

h6 {
  font-size: .7em;
}

i, em {
  font-style: italic;
}

b, strong {
  font-weight: bold;
}

strong {
  color: #488B9B;
}

a {
  transition: all 200ms;
  color: inherit;
  text-decoration: none;
}

a:link,
a:visited {
  background: none;
  color: blue;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

.splash {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-flex: 1;
  -webkit-flex-grow: 1;
  -ms-flex-positive: 1;
          flex-grow: 1;
  padding: 5%;
  border-radius: 5px;
}

.splash > * {
  -webkit-box-flex: 1;
  -webkit-flex-grow: 1;
  -ms-flex-positive: 1;
  flex-grow: 1;
}

#software-name {
  font: 4.5rem "Montserrat Light", sans-serif;
  background-color: #598fb2;
  background-image: linear-gradient(35deg, #196394, #30739f, #598fb2);
  background-size: 100%;
  -webkit-background-clip: text;
  -moz-background-clip: text;
  -webkit-text-fill-color: transparent;
  -moz-text-fill-color: transparent;
}

.centerbible {
  -webkit-box-flex: 100;
  -webkit-flex-grow: 100;
  -ms-flex-positive: 100;
          flex-grow: 100;
  background-image: url(/pix/bibledit_logo.svg);
  background-position: center center;
  background-size: contain;
  background-repeat: no-repeat;
}

.resource {
  font-family: "Esteban", serif;
}

a:focus,
a:active {
  color: red;
}

.error {
  color: red;
  font-weight: bold;
}

.success {
  color: green;
  font-weight: bold;
}

.active {
  font-weight: bold;
  font-size: 120%;
}

.active a {
  vertical-align: top;
}

textarea {
  width: 100%;
  height: 20em;
  font: medium "Esteban", serif;
}

.fullheight {
  height: 100%;
}

.width100 {
  width: 100%;
}

.width75 {
  width: 75%;
}

.width50 {
  width: 50%;
}

.height50 {
  height: 50% !important;
}

.topalign {
  vertical-align: top;
}

.selected {
  background: #FFC;
}

.small {
  font-size: small;
}

.title {
  display: block;
  width: 100%;
  font: large "Montserrat Regular", sans-serif;
  margin-bottom: 5px;
}

.center {
  text-align: center;
}

.hebrew {
  font-family: "Ezra SIL";
  direction: rtl;
  line-height: 1.8;
}

.greek {
  font-family: Cardo;
}

.clearfix {
  clear: both;
  display: none;
}

body,
#editorheader,
#editorinnerheader {
  background-color: #fff;
}

div[contenteditable=true],
.bibleeditor,
#oneeditor .ql-editor,
#oneeditor,
.focusedverse {
  background: #fff;
  padding: 4px 4px;
  color: #171717;
}

.button,
  .dark-workspacewrapper input#create,
  .light-workspacewrapper input#create,
  .dark-workspacewrapper input#cancel,
  .light-workspacewrapper input#cancel {
  background: linear-gradient(35deg, #4a9748 10%, #54aa51);
  border: 0;
  border-radius: 3.5px;
  padding: 2px 7px;
  color: white;
  -webkit-appearance: button;
  -moz-appearance: button;
  appearance: button;
  cursor: pointer;
}

.button:hover,
.button:focus,
  .dark-workspacewrapper input#create:hover,
  .dark-workspacewrapper input#create:focus,
  .light-workspacewrapper input#create:hover,
  .light-workspacewrapper input#create:focus {
  background: linear-gradient(35deg, #48b648 10%, #5dbd5a);
}

input#create,
input#cancel,
#summary {
  font: 14px "Montserrat Regular";
}

.dark-workspacewrapper input#cancel,
.light-workspacewrapper input#cancel,
.colored-cancel > a {
  background: linear-gradient(35deg, #681212 10%, #851717);
}

.dark-workspacewrapper input#cancel:hover,
.dark-workspacewrapper input#cancel:focus,
.light-workspacewrapper input#cancel:hover,
.light-workspacewrapper input#cancel:focus,
.colored-cancel > a:hover,
.colored-cancel > a:focus {
  background: linear-gradient(35deg, #761414 10%, #9f3030);
}

.ql-editor,
.ql-editor:focus::before {
  background: #ffffe8 !important;
  color: #171717 !important;  
}

.ql-editor {
  filter: drop-shadow(0 0 10px #eee9);
}

.ql-toolbar {
  margin-bottom: 5px;
}

.dark-workspacewrapper .ql-snow,
.dark-workspacewrapper .ql-container,
.light-workspacewrapper .ql-snow,
.light-workspacewrapper .ql-container {
  border: 0 !important;
}

.dark-workspacewrapper .ql-editor,
.dark-workspacewrapper .ql-editor *,
.dark-workspacewrapper .ql-editor::before,
.dark-workspacewrapper #summary,
.dark-workspacewrapper #summary:-internal-autofill-selected {
  background-color: #252c35 !important;
  color: #fff !important;
  border: 0;
  filter: none;
}

.light-workspacewrapper .ql-editor,
.light-workspacewrapper .ql-editor *,
.light-workspacewrapper .ql-editor::before,
.light-workspacewrapper #summary,
.light-workspacewrapper #summary:-internal-autofill-selected {
  background-color: #dce6f0 !important;
  border: 0;
  filter: none;
}

.light-workspacewrapper .ql-toolbar {
  background: linear-gradient(35deg, #c6cfd8, #dce6f0) !important;
}

.dark-workspacewrapper .ql-toolbar {
  background: linear-gradient(35deg, #1e232a, #252c35) !important;
}

.dark-workspacewrapper svg *,
.dark-workspacewrapper .ql-picker-label::before {
  stroke: #fff !important;
  color: #fff !important;
}

#topbar {
  width: 100%;
  max-width: 100vw;
  display: block;
  color: #171717;
}

.dark-background a:link,
.dark-background a:visited {
  color: #5e92b4;
}

.light-background #topbar,
.dark-background #topbar {
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  flex-wrap: wrap;
  -webkit-box-pack: space-evenly;
  -webkit-justify-content: space-evenly;
  -ms-flex-pack: space-evenly;
  justify-content: space-evenly;
  -webkit-box-align: center;
  -webkit-align-items: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 1px;
  text-transform: uppercase !important;
  font-family: 'Montserrat Semi-Bold';
}

.light-background #topbar span,
.dark-background #topbar span {
  margin: 5px;
}

.redblue-menu-tabs {
  opacity: 0.7;
}

.light-menu-tabs > a,
.dark-menu-tabs > a,
.redblue-menu-tabs > a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  position: relative;
  -moz-appearance: button;
  appearance: button;
  padding: 6px 0;
}

.redblue-menu-tabs > a:link,
.redblue-menu-tabs > a:visited {
	color: #171717;
}

#topbar > span {
  margin: 1px;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  -o-text-overflow: ellipsis;
  text-overflow: ellipsis;
  transition: all 400ms;
}

.light-background #topbar > span,
.dark-background #topbar > span {
  padding: 3px 4px;
  position: relative;
  flex-grow: 1;
  -webkit-border-radius: 1.5px;
  border-radius: 1.5px;
}

.light-background #topbar > .fadeout,
.dark-background #topbar > .fadeout {
  position: relative;
  -webkit-flex-basis: initial;
  -ms-flex-preferred-size: initial;
  flex-basis: initial;
  margin: 0 5px;
}

#topbar > .fadeout > span {
  border-left: 1.5px solid white;
  margin: .1em .3em;
  padding-left: .3em;
}

#topbar > .fadeout > span:first-child {
  border-left: 0 !important;
}

#topbar a {
	color: #000;
}

#topbar a:hover,
#topbar a:focus {
}

#topbar .light-menu-tabs a:hover,
#topbar .light-menu-tabs a:focus,
#topbar .dark-menu-tabs a:hover,
#topbar .dark-menu-tabs a:focus {
	text-decoration: none;
  filter: 0;
  color: #ccc;
}

.light-menu-tabs:hover,
.light-menu-tabs:focus,
.dark-menu-tabs:hover,
.dark-menu-tabs:focus {
  opacity: 1;
  box-shadow: inset 1px 1px 3px rgba(22, 27, 29, 75%), inset -1px -1px 3px rgba(250, 251, 255, 15%);
}

.redblue-menu-tabs:hover,
.redblue-menu-tabs:focus {
  opacity: 1;
}

#versepickerwrapper.light-menu-tabs:hover,
#versepickerwrapper.light-menu-tabs:focus,
#versepickerwrapper.dark-menu-tabs:hover,
#versepickerwrapper.dark-menu-tabs:focus {
  font-weight: normal;
  background: 0;
}

#versepickerwrapper.light-menu-tabs span,
#versepickerwrapper.light-menu-tabs a,
#versepickerwrapper.dark-menu-tabs span,
#versepickerwrapper.dark-menu-tabs a {
  height: 100%;
}

#versepickerwrapper.light-menu-tabs #applychapter,
#versepickerwrapper.light-menu-tabs #applyverse,
#versepickerwrapper.light-menu-tabs #applybook span,
#versepickerwrapper.light-menu-tabs #applychapter a,
#versepickerwrapper.light-menu-tabs #applyverse a,
#versepickerwrapper.light-menu-tabs #applybook a,
#versepickerwrapper.dark-menu-tabs #applychapter,
#versepickerwrapper.dark-menu-tabs #applyverse,
#versepickerwrapper.dark-menu-tabs #applybook span,
#versepickerwrapper.dark-menu-tabs #applychapter a,
#versepickerwrapper.dark-menu-tabs #applyverse a,
#versepickerwrapper.dark-menu-tabs #applybook a {
  width: auto !important;
  height: auto !important;
}

#versepickerwrapper.light-menu-tabs,
#versepickerwrapper.dark-menu-tabs {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

/* II. a. GLOBAL STYLING: Workspace Page */

#topbar .fadeout {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  overflow: unset;
  white-space: unset;
  font-weight: normal;
}

#topbar .fadeout span a {
  line-height: 28.5px;
  display: block;
  padding: 0 5px;
	transition: all 250ms;
}

#topbar .fadeout span a:hover {
  font-size: 1.025em;
	text-shadow: 0 0 .65px #ddd, 0 0 .65px #ddd;
  text-decoration: none;
  filter: 0;
}

#versepickerwrapper {
  page-break-before: always;
  white-space: unset !important;
  overflow: unset !important;
  -o-text-overflow: unset !important;
  text-overflow: unset !important;
  max-width: 87.5vw;
}

#versepickerwrapper span {
  margin: 0;
}

#versepickerwrapper span a {
  padding: 0 .4em;
}

#applybook {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

#applybook .selector {
  margin: .11rem;
  white-space: nowrap;
  border-left: 1.5px solid #171717;
  padding-left: .2em;
}

#applybook .selector:hover {
  font-weight: bold;
}

.light-menu-tabs #applybook .selector,
.dark-menu-tabs #applybook .selector {
  border-left: 0;
}

#applybook .selector:nth-of-type(1) {
  border-left: 0 !important;
  padding-left: 0 !important;
}

#applybook .selector a {
  line-height: 30px;
  display: block;
  padding: 0 5px;
  border-radius: 2px;
  transition: all 250ms;
}

.light-background #applybook .selector.frontback a,
.dark-background #applybook .selector.frontback a  {
  background: linear-gradient(35deg, #75348c66, #9b61b066) !important;
  color: #fff !important;
}

.light-background #applybook .selector.ap a,
.dark-background #applybook .selector.ap a  {
  background-color: #eeeeee10;
  color: #fff !important;
}

.light-background #applybook .selector.ot a,
.dark-background #applybook .selector.ot a  {
  background: linear-gradient(35deg, #68121277, #85171777) !important;
  color: #fff !important;
}

.light-background #applybook .selector.nt a,
.dark-background #applybook .selector.nt a  {
  background: linear-gradient(35deg, #0f0d8266, #27258f66) !important;
  color: #fff !important;
}

#applyverse,
#applychapter {
  white-space: normal;
}

#topbar.wrap-active {
  -webkit-flex-wrap: wrap;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
}

#topbar.wrap-active > span {
  flex-grow: 1;
}

/* END OF GLOBAL STYLING: Workspace Page */


/* II. b. GLOBAL STYLING: Editone2, edit, and editusfm page */

#stylebutton {
  font: 1rem "Montserrat Regular";
  margin: .5rem;
}

#stylesarea.style-of-stylesarea {
  display: inline-block;
  margin: .5rem !important;
}

/* END OF GLOBAL STYLING: Editone2, edit, and editusfm page */


/* II. c. GLOBAL STYLING: Preference page */

#themepicker,
.settings-container select {
  font: normal 16px "Montserrat Regular", sans-serif;
  color: #171717;
  width: fit-content;
  height: 1.75em;
}

#themepicker:focus, 
#themepicker:hover {
  filter: drop-shadow(0 0 2.5px #999);
  background-color: #ffffef;
}

#themepicker option[value="1"],
#themepicker option[value="3"] {
  background-color: #efefef;
  color: #124568 !important;
}

#themepicker option[value="2"],
#themepicker option[value="4"] {
  background-color: #171717;
  color: #5e92b4 !important;
}

.setting-input {
  width: 2.25em !important;
  height: 1.5em;
  font: normal 1em "Montserrat Regular", sans-serif;
}

.settings-container {
  position: relative;
}

.tooltip::before {
  display: inline-block;
  content: "※";
  width: 1em;
  height: 1em;
  cursor: context-menu;
  opacity: 0.7;
  vertical-align: super;
  font-size: .8em;
}

.tooltip:hover::before {
  opacity: 1;
}

.tooltip-text {
  pointer-events: none;
  display: none;
  position: absolute;
  border-radius: 3px;
  padding: 2px;
  background-color: #fff;
  color: #171717;
  border: 1px solid #171717;
}

.tooltip:hover + .tooltip-text {
  display: block !important;
  z-index: 1 !important;
}

/* END OF GLOBAL STYLING: Preference page */

/* II. d. GLOBAL STYLING: Read page */

#publicnotesinread {
  display: flex;
}

#publicnotesinread > p {
  margin: 0 .25rem; 
}

/* END OF GLOBAL STYLING: Read page */

/* END OF GLOBAL STYLING */



/* III. THEME SPECIFIC STYLING */

.light-background,
.light-background .splash {
  background: #efefef !important;
  color: #171717 !important;
}

.light-background .splash {
  color: #196394 !important;
}

.light-background input[type="range"] {
  border: .5px solid #ddd;
  border-radius: 2.5px;
  overflow: hidden;
  -webkit-appearance: none;
  background-color: #196394;
}

.light-background input[type="range"]::-webkit-slider-runnable-track {
  height: 10px;
  -webkit-appearance: none;
  color: #196394;
  margin-top: -1px;
}

.light-background input[type="range"]::-webkit-slider-thumb {
  width: 10px;
  height: 10px;
  -webkit-appearance: none;
  cursor: ew-resize;
  background: #3a4653;
  box-shadow: 80px 0 0 80px #fff;
}

.light-menu-tabs,
.dark-menu-tabs {
  background: linear-gradient(-35deg, #124568, #144f76, #175985, #196394) !important;
  color: #fff !important;
  opacity: 0.7;
  box-shadow: -1px -1px 3px rgb(22, 27, 29), 1px 1px 3px rgb(22, 27, 29);
}

.light-menu-tabs {
  box-shadow: -1px -1px 3px rgb(250, 251, 255), 1px 1px 3px rgb(250, 251, 255);
}

.dark-menu-tabs {
  background: linear-gradient(30deg, #196394, #175985, #144f76, #124568) !important;
}

.light-menu-tabs a,
.light-menu-tabs span,
.dark-menu-tabs a,
.dark-menu-tabs span {
  color: #fff !important;
}

.light-editor {
  background-color: #efefef !important;
  color: #171717 !important;
}

.light-active-editor,
.light-active-editor * {
  background-color: #dce6f0 !important;
  color: #171717 !important;
}

.light-workspacewrapper {
  background-color: #efefef !important;
}
.light-background a:link,
.light-background a:visited {
  color: #196394;
}

.dark-background,
.dark-background .splash {
  background: #171717 !important;
  color: #fff !important;
}
/* .dark-background input[type="range"]::-mos-range-progress {
 background-color: #93976B;
 }  */
/* .dark-background input[type="range"]::-ms-fill-lower {
 background-color: #93976B;
 } */

.dark-background input[type="range"] {
  border: .5px solid #333;
  border-radius: 2.5px;
  overflow: hidden;
  -webkit-appearance: none;
  background-color: #196394;
}

.dark-background input[type="range"]::-webkit-slider-runnable-track {
  height: 10px;
  -webkit-appearance: none;
  color: #196394;
  margin-top: -1px;
}

.dark-background input[type="range"]::-webkit-slider-thumb {
  width: 10px;
  height: 10px;
  -webkit-appearance: none;
  cursor: ew-resize;
  background: #0f3b59;
  box-shadow: 80px 0 0 80px #fff;
}

.dark-editor {
  background-color: #171717 !important;
  color: #fff !important;
}

.dark-active-editor,
.dark-active-editor * {
  background-color: #252c35 !important;
  color: #fff !important;
}

.dark-workspacewrapper {
  background-color: #171717 !important;
}

.note-status-new {
  background-color: #623289 !important;
  color: #fff !important;
}
.note-status-pending {
  background-color: #896232 !important;
  color: #fff !important;
}
.note-status-inprogress {
  background-color: #325989 !important;
  color: #fff !important;
}
.note-status-done {
  background-color: #598932 !important;
  color: #fff !important;
}
.note-status-reopened {
  background-color: #815BA1 !important;
  color: #fff !important;
}

/* END OF THEME SPECIFIC STYLING */

#breadcrumbs:not(:empty) {
  margin: .2em 0;
  padding: .2em 0;
  border-top: 2px dotted #aaa;
}
.dark-background #breadcrumbs:not(:empty) a {
  color: #efefef;
}
.menu-basic a {
  border-style: solid;
  text-decoration: none!important;
}
.menu-advanced span {
  margin-right: 0.2em;
}
.previousverse {
  margin-right: 0.1em;
  padding-right: 0.1em;
}
.selectverse {
  margin-right: 0.1em;
  margin-left: 0.1em;
  padding-right: 0.1em;
  padding-left: 0.1em;
}
.nextverse {
  margin-left: 0.1em;
  padding-left: 0.1em;
}
.nextresource {
  page-break-inside: avoid;
  orphans: 3;
  widows: 2;
}
#workspacewrapper {
  padding: 0.5em;
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 1;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  overflow: auto;
}
#workspacewrapper > p {
  font-family: "Montserrat Regular", sans-serif;
}
#workspacewrapper > * {
  -webkit-flex-shrink: 0;
  -ms-flex-negative: 0;
  flex-shrink: 0;
  border-radius: 5px;
}
#workspacewrapper > #workspaces {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
  -webkit-flex-direction: column;
  -ms-flex-direction: column;
  flex-direction: column;
  -webkit-box-flex: 1;
  margin: -0.5em;
  width: calc(100% + 1em);
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
  -webkit-align-content: stretch;
  -ms-flex-line-pack: stretch;
  align-content: stretch;
}
.iframewrapper {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display:         flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  -ms-flex-direction: row;
  flex-direction: row;
  -webkit-box-flex: 1;
  -webkit-flex-shrink: 1;
  -ms-flex-negative: 1;
  flex-shrink: 1;
  height: 1em;
  border-top: 2px inset;
  border-bottom: 2px inset;
  -webkit-flex: 1;
  -ms-flex: 1;
  flex: 1;
}
.iframewrapper iframe {
  -webkit-box-flex: 2;
  -webkit-flex-grow: 2;
  -ms-flex-positive: 2;
  flex-grow: 2;
  -webkit-flex-shrink: 1;
  -ms-flex-negative: 1;
  flex-shrink: 1;
  width: 1em;
  border: none;
}
.iframewrapper iframe + iframe {
  border-left: 2px inset;
}
/* The following is to cause the iframes to fill all available space in Edge. */
iframe {
  width: 100%;
  height: 100%;
}
.drag {
  cursor: move;
}
span[contenteditable=true] {
  padding-right: 0.5em;
}
#workspacewrapper > table.editor {
  width: 100%;
}
table.burndown {
  text-align: center;
}
table.burndown td {
  padding: 0.15em;
  vertical-align: bottom;
}
table.burndown td.day {
  width: 1em;
}
.tablefloat,
table.interlinear {
  float: left;
  margin-left: 0.5em;
}
.tablefloatheb,
table.interlinear.rtl {
  float: right;
  margin-right: 0.5em;
}

#toolbar-container,
.ql-tooltip
{
  left: 150%;
}

.slip-reordering {
  box-shadow: 0 2px 10px rgba(0,0,0,0.45);
}
.slip-swiping-container {
  overflow-x: hidden;
}
.slippylist li {
  user-select: none;
  -moz-user-select: none;
  -webkit-user-select: none;
  cursor: default;
}

.white-on-green {
  color: #fff!important;
  background-color: #008080;
}

.black-on-orange {
  color: #0a0a0a!important;
  background-color: #ffa500;
}

.black-on-neon-green {
  color: #0a0a0a!important;
  background-color: #00ff00;
}

.white-on-purple {
  color: #fff!important;
  background-color: #0000ff;
}

.white-on-pink {
  color: #fff!important;
  background-color: #ff1493;
}

.black-on-yellow {
  color: #0a0a0a!important;
  background-color: #ffff54
}

.black-on-light-blue {
  color: #0a0a0a!important;
  background-color: #7ba6d7
}

.white-on-dark-blue {
  /* color: #fff!important; */
  background-color: #2654c5
}

.white-on-turkish-blue {
  /* color: #fff!important; */
  background-color: #53808c
}

.divider {
  width: 100%;
  height: 8px;
}

@media print {
  body,
  #workspacewrapper,
  #workspaces,
  .iframewrapper,
  .iframewrapper iframe {
    display: block !important;
    width: 100% !important;
    height: inherit !important;
  }
  #topbar {
    display: none;
  }
}

@page {
  margin: 2cm;
}

@page :left {
  margin-right: 2cm;
  margin-left: 3cm;
}

@page :right {
  margin-right: 3cm;
  margin-left: 2cm;
}

@media (min-width: 500px) {
  #software-name {
    font-size: 6rem;
  }
  #topbar > span {
    margin: 10px;
  }
  .light-background #topbar > span,
  .dark-background #topbar > span {
    -webkit-border-radius: 2.5px;
    border-radius: 2.5px;
  }
}

#navigateforward {
  cursor: pointer;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  user-select: none;
}
#navigateback {
  cursor: pointer;
  -webkit-user-select: none;
  -ms-user-select: none;
  -khtml-user-select: none;
  user-select: none;
}
#navigateforward:hover {
  text-decoration: underline;
}
#navigateback:hover {
  text-decoration: underline;
}

/* Make the quill clipboard invisible: https://github.com/bibledit/cloud/issues/692 */
.ql-clipboard
{
  visibility: hidden;
}
